<!DOCTYPE html>

<html>
    <head>
        <title>Some Web dev Examples</title>
        <meta charset="utf-8" />
        <link rel="stylesheet" href="/static/style/main.css" />
        <link rel="stylesheet" href="/static/style/modal.css" />
    </head>
    <body>
        <div>
            <div id="my-app">

            </div>
            <button class="modalButton" showModal="my-modal">Show Modal</button>
            <button class="modalButton" hideModal="my-modal">Hide Modal</button>
            <button class="modalButton" toggleModal="my-modal">Toggle Modal</button>
            <Modal id="my-modal">
                <ModalTitle> Titre de la Modal </ModalTitle>
                <ModalBody>Ceci est le contenu de la modal</ModalBody>
                <ModalFooter>
                    Ceci est le footer du modal
                    <button>Test</button>
                    <button class="modalButton" hideModal="my-modal">Close</button>
                </ModalBody>
            </Modal>

            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
            <p>Ceci est un texte contenant du contenu afin de démontrer que la Modal créée passe bien devant le contenu déjà existant sur la page</p>
        </div>
        <script type="module" src="../static/script/ExampleModules.js"></script>
    </body>
</html>